%data generation
% cd to the folder this file resides and then run it
addpath(genpath(pwd));

dataset = 'make3dtest'; 
img_num = 134;
dictoryPath = ['/scratch/Dai/Data/Depth/make3d/' dataset '/'] ; 

data.fet = zeros(img_num, 40);
data.lab = zeros(img_num, 1);

imgFolders = dir(strcat(dictoryPath,'*'));
imgFolders = imgFolders(3:end);
labelNums = length(imgFolders);

l = 1;


for nFolders=1:labelNums
%     if (length(imgFolders(nFolders).name)<=2) 
%         continue;
%     end
        
    imgPath = strcat(dictoryPath,imgFolders(nFolders).name,'/');
    imgSet = dir(fullfile(imgPath,'*.jpg'));
    imgNums = length(imgSet);
 
    % Parameters
    for n=1:imgNums  
        imgName = strcat(imgPath,imgSet(n).name);
        [ipath, iname, ext] = fileparts(imgName);
        img = imread(imgName);
       
        f_g = phog_img(img);  
        data.fet(l,:) = f_g;
        data.lab(l,1) = nFolders;    
        data.names{l} = [imgFolders(nFolders).name '/' iname, ext];
        l = l + 1; 
        [l]
    end
end

save('-v7.3', ['/scratch/experiments/semi_supervised/data/data_' dataset '_phog.mat'], 'data');