%
%Gist feature extraction 
addpath(genpath('/scratch/Dai/Phd research/paper prepared/code/'));

imgPath = '/scratch/Dai/Data/segTest/12003.jpg';
patchSize = 8; 
featureDim = 20; 

img = imread(imgPath);
[H,W,Z] = size(img);
if Z>1
   img = rgb2gray(img); 
end
features = zeros((W-2*patchSize+1)*(H-2*patchSize+1),featureDim);
imgInfStruct.H = H-2*patchSize+1; 
imgInfStruct.W = W-2*patchSize+1; 

for i=patchSize+1:W-patchSize+1
   for j=patchSize+1:H-PatchSize+1 
       imgPatch = img(j-patchSize:j+PatchSize-1,i-patchSize:i+patchSize-1);
       
    
   end    
end




for nFolders=1:labelNums
    imgPath = strcat(dictoryPath,imgFolders(nFolders).name,'/');
    imgSet = dir(fullfile(imgPath,'*.jpg'));
    imgNums = length(imgSet);

    % Parameters:
    orientationsPerScale = [8 8 4];
    numberBlocks = 1;
    imageSize = 256;  % image must be a square 
    % Precompute filter transfert functions (only need to do this one, unless image size is changes):
    % createGabor(orientationsPerScale, imageSize); % this shows the filters

    savePath = strcat(imgPath,'Gist');
    if ~exist(savePath,'dir')
         mkdir(savePath);
    end

    G = createGabor(orientationsPerScale, imageSize);

    for n=1:imgNums  
        imgName = strcat(imgPath,imgSet(n).name);
        img = imread(imgName);
        if size(img,3)>1
           img = rgb2gray(img); 
        end
        img = imresize(img,[256 256]);
        output = prefilt(double(img), 4);
        g1 = gistGabor(output, 1, G);
%         g2 = gistGabor(output, 2, G);
%         g = cat(1,g1,g2);
        g = normalize(g1)*length(g1);
        saveName = strcat(savePath,'/',imgSet(n).name(1:end-4),'.mat');
        save(saveName, 'g');
        [n]
    end

end