addpath(genpath('/scratch/Dai/Code/ensemble'));

dictoryPath = '/scratch/Dai/Data/Classification/101/'; 


imgFolders = dir(strcat(dictoryPath,'*'));
imgFolders = imgFolders(3:end); 
labelNums = length(imgFolders);

for nFolders=1:labelNums
if (length(imgFolders(nFolders).name)<=2) 
   continue;
end
    
imgPath = strcat(dictoryPath,imgFolders(nFolders).name,'/');
imgSet = dir(fullfile(imgPath,'*.jpg'));
imgNums = length(imgSet);


savePath = strcat(imgPath,'phog');
if ~exist(savePath,'dir')
     mkdir(savePath);
end


bin = 8;
angle = 360;
L=1; 


for n=1:imgNums  
    imgName = strcat(imgPath,imgSet(n).name);
    img = imread(imgName);
      [H,W,Z, Z4] = size(img);
    if Z4>1 continue; end
     
    img = imresize(img,[256 256]);
     [H,W,Z] = size(img);
    roi = [1;H;1;W];
    g = anna_phog(img,bin,angle,L,roi);
%     g = g(9:end);
    if find(g<0)
       error('negative values'); 
    end

    g = normalize(g(:), 1).*length(g);
    saveName = strcat(savePath,'/',imgSet(n).name(1:end-4),'.mat');
    save(saveName, 'g');
end
[nFolders]
end
%phog feature extraction 
% Precompute filter transfert functions (only need to do this one, unless image size is changes):
% createGabor(orientationsPerScale, imageSize); % this shows the filters


% 
% Gist = zeros(100,imgNums);
% imgLabel = zeros(imgNums,1);
% G = createGabor(orientationsPerScale, imageSize);
% 
% baseNums = 1; 
% for l=1:labelNums                 %Image ����
%   imgSet = dir(strcat(dataSet,imgFolders(l).name,'\','*.jpg'));
%   for n=1:size(imgSet,1)        %image number
%       imgName = strcat(dataSet,imgFolders(l).name,'\',imgSet(n).name);
%       img = imread(imgName);
%       if size(img,3)>1
%           img = rgb2gray(img);
%       end
%       img = imresize(img,[256 256]);
%       output = prefilt(double(img), 4);
%       g1 = gistGabor(output, 1, G);
%       g2 = gistGabor(output, 2, G);
%       g = cat(1,g1,g2);
%       g = normalize(g,1); 
% 
%       Gist(:,baseNums) = g; 
%       imgLabel(baseNums) = l; 
%       baseNums = baseNums + 1
%   end
% end
% 
% save MITLabel.mat imgLabel
% save MITGist2.mat Gist
% 





